(defun c:kallax () ;definir o nome do comando

(setq pontos2d (getvar "osmode"))
(setq pontos3d (getvar "3dosmode"))
(setvar "osmode" 0)
(setvar "3dosmode" 0)
;desativar os object snap 


(setq pt1 (getpoint "indique o ponto de inserção do primeiro cubo: ")) ;mudar as UCS para o pt1 que é um dos pontos do cubo em questão

(if (= nil
(setq comprimento (getreal " indique o comprimento do primeiro cubo (em x): "))) ;perguntar ao ultizador que valor deseja atribuir ao comprimento do cubo
(setq comprimento 0.334)) ;caso nenhum valor seja definido pelo utilizador, o comprimento terá um valor de 0.334 que é o valor atribuido pela função

(if (= nil
(setq largura (getreal "indique a largura do primeiro cubo (em y): "))) ;perguntar ao ultizador que valor deseja atribuir a largura do cubo
(setq largura 0.334)) ;caso nenhum valor seja definido pelo utilizador, a largura terá um valor de 0.334 que é o valor atribuido pela função

(if (= nil
(setq esp1 (getreal "indique a espessura da base do cubo (em z): "))) ;perguntar ao ultizador que valor deseja atribuir a espessura da base do cubo
(setq esp1 0.02)) ;caso nenhum valor seja definido pelo utilizador, a espessura da base terá um valor de 0.02 que é o valor atribuido pela função

(if (= nil
(setq altura (getreal "indique a altura do cubo (em z): "))) ;perguntar ao ultizador que valor deseja atribuir a altura do cubo
(setq altura 0.33)) ;caso nenhum valor seja definido pelo utilizador, a altura terá um valor de 0.33 que é o valor atribuido pela função

(if (= nil
(setq esp2 (getreal "indique a espessura das laterais do cubo (em x): "))) ;perguntar ao ultizador que valor deseja atribuir a espessura das laterais do cubo
(setq esp2 0.02)) ;caso nenhum valor seja definido pelo utilizador, a espessura das laterais terá um valor de 0.02 que é o valor atribuido pela função

(modelar) ;função que vai executar as principais tarefas do programa, ou seja, criar a primeira parte do movel com os valores atribuidos nas alinha superiores
(modelar2) ;função que vai executar as principais tarefas do programa, ou seja, criar a segunda parte do movel com os valores atribuidos nas alinha superiores
(setvar "osmode" pontos2d)
(setvar "3dosmode" pontos3d)
(command "ucs" "")
) ;restaurar os valores originais das variáveis ​​"osmode" e "3dosmode" e mudar as UCS para World.

(defun modelar () ;criar por partes o primeiro cubo do movel 
(command "ucs" pt1 "")
(command "box" (list 0 0 0) (list comprimento largura esp1)) ;criar a box com os pontos que são defenidos pelo função list e esses pontos vão ter os valores que foram indicados nas alinhas superiores
(setq base (entlast)) ;definir que a box criada será denominada de base

(command "box" (list 0 0 (+ esp1)) (list esp2 largura altura));criar a box com os pontos que são defenidos pelo função list e esses pontos vão ter os valores que foram indicados nas alinhas superiores
(setq lateral (entlast)) ;definir que a box criada será denominada de lateral
(command "copy" (entlast) "" (list (- comprimento esp2) 0 0) "" ) ;copiar essa mesma lateral para um ponto que é definido pela função list que atribui um valor a esse ponto
(setq interior (entlast));definir que a lateral copiada será denominada de interir
(command "copy" base "" (list 0 0 altura) "" ) ;copiar a base para um ponto que é definido pela função list que atribui um valor a esse ponto
(setq tampa (entlast)) ;definir que a base copiada será denominada de tampa
)

(defun modelar2 () ;este modelar 2 vai servir para criar o movel por completo, atraves do comando copy fazer uma copia do conjunto criado no modelar em diferentes pontos
(command "copy" base lateral tampa interior "" (list comprimento 0 0) "" ) ;com o comando copy fazer uma copia dos objetos que foram criados na primeira parte do modelar e definir o ponto atraves da função list
(command "copy" base lateral tampa interior "" (list 0 0 (+ altura esp1)) "" ) ;com o comando copy fazer uma copia dos objetos que foram criados na primeira parte do modelar e definir o ponto atraves da função list
(command "copy" base lateral tampa interior "" (list comprimento 0 (+ altura esp1)) "" ) ;;com o comando copy fazer uma copia dos objetos que foram criados na primeira parte do modelar e definir o ponto atraves da função list
)